﻿/**Begin D:\DBA\PDM_UPGRADE\PDM1\BCM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FIDM_MODEL') 
 CREATE TABLE T_FIDM_MODEL (
FID BIGINT DEFAULT 0 NOT NULL,
FMODELID BIGINT DEFAULT 0 NOT NULL,
FMODELTYPE CHAR(1) DEFAULT '1' NOT NULL,
FSTATUS CHAR(1) DEFAULT '0' NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FISCURRENT VARCHAR(10) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FIDM_DS') 
 CREATE TABLE T_FIDM_DS (
FID BIGINT DEFAULT 0 NOT NULL,
FMODELID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT '0' NOT NULL,
FTYPE CHAR(1) DEFAULT '1' NOT NULL,
FSCOPE CHAR(1) DEFAULT '1' NOT NULL,
FCHAPTERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FIDM_DS_SINGLE') 
 CREATE TABLE T_FIDM_DS_SINGLE (
FID BIGINT DEFAULT 0 NOT NULL,
FDATASETID BIGINT DEFAULT 0 NOT NULL,
FDATASRCTYPE CHAR(1) DEFAULT '1' NOT NULL,
FDATASRCID BIGINT DEFAULT 0 NOT NULL,
FEXTENDSMODELID BIGINT DEFAULT 0 NOT NULL,
FEXPRESSION VARCHAR(500) DEFAULT ' ' NOT NULL,
FVALUE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDEFVALUE CHAR(1) DEFAULT '3' NOT NULL,
FGROUPBY VARCHAR(100) DEFAULT ' ' NOT NULL,
FORDERBY VARCHAR(100) DEFAULT ' ' NOT NULL,
FASC CHAR(1) DEFAULT '1' NOT NULL,
FTOP INT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FIDM_DS_MUL') 
 CREATE TABLE T_FIDM_DS_MUL (
FID BIGINT DEFAULT 0 NOT NULL,
FDATASETID BIGINT DEFAULT 0 NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FFORMULATYPE CHAR(1) DEFAULT '1' NOT NULL,
FFORMULATEXT VARCHAR(300) DEFAULT ' ' NOT NULL,
FSINGLEID BIGINT DEFAULT 0 NOT NULL,
FDESQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FIDM_DS_VAR') 
 CREATE TABLE T_FIDM_DS_VAR (
FID BIGINT DEFAULT 0 NOT NULL,
FDATASETID BIGINT DEFAULT 0 NOT NULL,
FVARIABLEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FIDM_VARIABLE') 
 CREATE TABLE T_FIDM_VARIABLE (
FID BIGINT DEFAULT 0 NOT NULL,
FMODELID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIBE NVARCHAR(200) DEFAULT ' ' NOT NULL,
FVALUETYPE CHAR(1) DEFAULT '1' NOT NULL,
FDIMID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDEFAULTVALUE VARCHAR(500) DEFAULT ' ' NOT NULL,
FSCOPE CHAR(1) DEFAULT '1' NOT NULL,
FCHAPTERID BIGINT DEFAULT 0 NOT NULL,
FPERMITCLASS BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FIDM_VAR_ENUM') 
 CREATE TABLE T_FIDM_VAR_ENUM (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISDEFAULT CHAR(1) DEFAULT '1' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FIDM_VARIABLE_L') 
 CREATE TABLE T_FIDM_VARIABLE_L (
FPKID VARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIBE NVARCHAR(200) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FIDM_VAR_ENUM_L') 
 CREATE TABLE T_FIDM_VAR_ENUM_L (
FPKID VARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FIDM_FIELDCHANGELOG') 
 CREATE TABLE T_FIDM_FIELDCHANGELOG (
FID BIGINT DEFAULT 0 NOT NULL,
FMODELID BIGINT DEFAULT 0 NOT NULL,
FENTITYKEY BIGINT DEFAULT 0 NOT NULL,
FOPERATION CHAR(1) DEFAULT 'A' NOT NULL,
FDEALUSER BIGINT DEFAULT 0 NOT NULL,
FDEALTIME DATETIME,
FDEALFIELDKEY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDEALFIELDNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOLDVALUE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNEWVALUE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FIDM_FIELDCHANGELOG_L') 
 CREATE TABLE T_FIDM_FIELDCHANGELOG_L (
FPKID VARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDEALFIELDNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FIDM_TMPLCATALOG') 
 CREATE TABLE T_FIDM_TMPLCATALOG (
FID BIGINT DEFAULT 0 NOT NULL,
FMODELID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FLONGNUMBER VARCHAR(255) DEFAULT ' ' NOT NULL,
FLEVEL INT DEFAULT 0 NOT NULL,
FISLEAF CHAR(1) DEFAULT '1' NOT NULL,
FSEQUENCE INT DEFAULT 0 NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FPERMCLASSID BIGINT DEFAULT 0 NOT NULL,
FCATALOGTYPE CHAR(1) DEFAULT '0' NOT NULL,
FCREATETIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FIDM_TMPLCATALOG_L') 
 CREATE TABLE T_FIDM_TMPLCATALOG_L (
FPKID VARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FIDM_TEMPLATE') 
 CREATE TABLE T_FIDM_TEMPLATE (
FID BIGINT DEFAULT 0 NOT NULL,
FMODELID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTEMPLATECATALOGID BIGINT DEFAULT 0 NOT NULL,
FOUTPUTTYPE CHAR(1) DEFAULT '1' NOT NULL,
FPERMCLASSID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT '0' NOT NULL,
FSEQUENCE INT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FIDM_TEMPLATE_L') 
 CREATE TABLE T_FIDM_TEMPLATE_L (
FPKID VARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FIDM_TMPLDEFDIM') 
 CREATE TABLE T_FIDM_TMPLDEFDIM (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FDIMENSIONTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDIMENSIONID BIGINT DEFAULT 0 NOT NULL,
FMEMBERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FIDM_TMPLPARAMDIM') 
 CREATE TABLE T_FIDM_TMPLPARAMDIM (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FDIMENSIONTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDIMENSIONID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FIDM_REPORT') 
 CREATE TABLE T_FIDM_REPORT (
FID BIGINT DEFAULT 0 NOT NULL,
FMODELID BIGINT DEFAULT 0 NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT '1' NOT NULL,
FISEDIT CHAR(1) DEFAULT '1' NOT NULL,
FTEMPLATEID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FDOCURL VARCHAR(1000) DEFAULT ' ' NOT NULL,
FISPREVIEW CHAR(1) DEFAULT '0' NOT NULL,
FSUBMITTERID BIGINT DEFAULT 0 NOT NULL,
FSUBMITTIME DATETIME,
FCALLBACKER BIGINT DEFAULT 0 NOT NULL,
FCALLBACKTIME DATETIME,
FREVIEWERID BIGINT DEFAULT 0 NOT NULL,
FREVIEWTIME DATETIME,
FCANCELREVIEWERID BIGINT DEFAULT 0 NOT NULL,
FCANCELREVIEWERTIME DATETIME,
FARCHIVERID BIGINT DEFAULT 0 NOT NULL,
FARCHIVETIME DATETIME,
FCANCELARCHIVERID BIGINT DEFAULT 0 NOT NULL,
FCANCELARCHIVETIME DATETIME,
FISARCHIVED CHAR(1) DEFAULT '5' NOT NULL,
FATTACHMENTFLAG CHAR(1) DEFAULT '0' NOT NULL,
FTEMPLATECATALOG BIGINT DEFAULT 0 NOT NULL,
FBCMENTITYID BIGINT DEFAULT 0 NOT NULL,
FEPMENTITYID BIGINT DEFAULT 0 NOT NULL,
FYEARID BIGINT DEFAULT 0 NOT NULL,
FBUDGETPERIODID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FVERSIONID BIGINT DEFAULT 0 NOT NULL,
FSCENARIOID BIGINT DEFAULT 0 NOT NULL,
FDATATYPEID BIGINT DEFAULT 0 NOT NULL,
FPARAM VARCHAR(2000) DEFAULT ' ' NOT NULL,
FPARAMNUMBER VARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FIDM_REPORT_DIM') 
 CREATE TABLE T_FIDM_REPORT_DIM (
FID BIGINT DEFAULT 0 NOT NULL,
FREPORTID BIGINT DEFAULT 0 NOT NULL,
FDIMID BIGINT DEFAULT 0 NOT NULL,
FDIMMEMBERID BIGINT DEFAULT 0 NOT NULL,
FDIMTYPE VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FIDM_REPORTNAMERULE') 
 CREATE TABLE T_FIDM_REPORTNAMERULE (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFIELDNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FVALUETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FVALUE VARCHAR(200) DEFAULT ' ' NOT NULL,
FBREAKCOMBO VARCHAR(50) DEFAULT ' ' NOT NULL,
FDSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FIDM_MODEL_L') 
 CREATE TABLE T_FIDM_MODEL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FIDM_DS_L') 
 CREATE TABLE T_FIDM_DS_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FIDM_DS_MUL_L') 
 CREATE TABLE T_FIDM_DS_MUL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(200) DEFAULT ' ' NOT NULL
);



/**End D:\DBA\PDM_UPGRADE\PDM1\BCM_table.sql **/
